Package nl.tudelft.simulation.dsol.animation.gis.mapfile

## Class MapFileXMLParser.GisMapHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - nl.tudelft.simulation.dsol.animation.gis.mapfile.MapFileXMLParser.GisMapHandler

All Implemented Interfaces:
  `ContentHandler`, `DTDHandler`, `EntityResolver`, `ErrorHandler`

Enclosing class:
  MapFileXMLParser

    protected static class MapFileXMLParser.GisMapHandler
    extends DefaultHandler

The actual parser of the map file XML-document.

Copyright (c) 2020-2020 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information DSOL Manual. The DSOL project is distributed under a three-clause BSD-style license, which can be found at DSOL License.

Author:
  Alexander Verbraeck

### Constructor Summary

Constructors
`GisMapHandler​(CoordinateTransform coordinateTransform)` /** Make a new handler to parse the GisMap xml file.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `characters​(char[] ch, int start, int length)`
`void` `endDocument()`
`void` `endElement​(String uri, String localName, String qName)`
`GisMap` `getMap()`
`void` `startDocument()`
`void` `startElement​(String uri, String localName, String qName, Attributes attributes)`

### Methods inherited from class org.xml.sax.helpers.DefaultHandler

`endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startPrefixMapping, unparsedEntityDecl, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GisMapHandler

    public GisMapHandler​(CoordinateTransform coordinateTransform)

/** Make a new handler to parse the GisMap xml file.

Parameters:
  `coordinateTransform` - CoordinateTransform; the coordinate transformation to use

### Method Detail

#### characters

    public void characters​(char[] ch,
                           int start,
                           int length)
                    throws SAXException

Specified by:
  `characters` in interface `ContentHandler`
Overrides:
  `characters` in class `DefaultHandler`
Throws:
  `SAXException`

#### startDocument

    public void startDocument()
                       throws SAXException

Specified by:
  `startDocument` in interface `ContentHandler`
Overrides:
  `startDocument` in class `DefaultHandler`
Throws:
  `SAXException`

#### startElement

    public void startElement​(String uri,
                             String localName,
                             String qName,
                             Attributes attributes)
                      throws SAXException

Specified by:
  `startElement` in interface `ContentHandler`
Overrides:
  `startElement` in class `DefaultHandler`
Throws:
  `SAXException`

#### endElement

    public void endElement​(String uri,
                           String localName,
                           String qName)
                    throws SAXException

Specified by:
  `endElement` in interface `ContentHandler`
Overrides:
  `endElement` in class `DefaultHandler`
Throws:
  `SAXException`

#### endDocument

    public void endDocument()
                     throws SAXException

Specified by:
  `endDocument` in interface `ContentHandler`
Overrides:
  `endDocument` in class `DefaultHandler`
Throws:
  `SAXException`

#### getMap

    public final GisMap getMap()

Returns:
  map